package org.iri_research.renkan.models;

public class RosterUser extends AbstractRenkanModel<String> {
	
	private String project_id;
	private Long site_id;
	private String client_id;

	public RosterUser(String id, String title, String description, String uri, String color, String project_id, Long site_id, String client_id) {
		super(id, title, description, uri, color);
		
		this.project_id = project_id;
		this.site_id = site_id;
		this.client_id = client_id;
	}
	
	public void setTitle(String title) {
		this.title = title;
	}

	public void setDescription(String description) {
		this.description = description;
	}
	
	public void setUri(String uri) {
		this.uri = uri;
	}
		
	public void setColor(String color) {
		this.color = color;
	}	

	public String getProject_id() {
		return project_id;
	}

	public Long getSite_id() {
		return site_id;
	}
	
	public String getClient_id() {
		return client_id;
	}

	
}
